
%% Sample LaTeX equation (<http://en.wikibooks.org/wiki/LaTeX/Mathematics>)
%
% $$E=mc^2$$
%
% $$\delta=\frac{FL^3}{3EI}$$

%% Black holes
% Kerr-Newman solution (rotating black hole):
%
% $$
%   \partial s^2 = c^2\partial t^2 
%                  - (r^2+a^2)\sin^2\Theta\cdot\partial\Theta^2
%                  - \frac{2mr\cdot (c\partial t + a\sin^2\Theta\cdot\partial\Theta)^2}
%                         {r^2+a^2\cos^2\Theta}
%                  -(r^2+a^2\cos^2\Theta)\cdot[\frac{\partial r^2}{r^2-2mr+a^2}+\partial\Theta^2]
% $$
%
% where:
%
% $$ a \equiv L/Mc $$
%
% $$ m \equiv GM/c^2 $$

%%
% *BOLD TEXT*
% _ITALIC TEXT_
% |MONOSPACED TEXT|
% <http://www.mathworks.com MathWorks webpage>

%% Syntax
% # outData = perfTest(inData)
% # outData = perfTest(inData, ...)

%% Notes
% * bullet #1
% * bullet #2

function perfTest
    for iter = 1 : 100
        newData = subFunc(iter);
        result(iter) = max(max(newData)) + rand(1);
    end
    disp(max(result));
end  % perfTest 

function result = subFunc(iteration)
    fileData = load('data.mat');
    result = sin(fileData.data);
end  % subFunc
